﻿using System.Drawing;

// Dragging items in a ListBox control with visual insertion guides
// http://www.cyotek.com/blog/dragging-items-in-a-listbox-control-with-visual-insertion-guides

namespace ListBoxInsertionDragDemo
{
  internal class ListBoxItem
  {
    #region Overridden Methods

    /// <summary>
    /// Returns a string that represents the current object.
    /// </summary>
    /// <returns>
    /// A string that represents the current object.
    /// </returns>
    public override string ToString()
    {
      return string.Format("{3}\t{0}, {1}, {2}\t#{0:X2}{1:X2}{2:X2}", this.Color.R, this.Color.G, this.Color.B, this.ImageIndex);
    }

    #endregion

    #region Public Properties

    public Color Color { get; set; }

    public int ImageIndex { get; set; }

    #endregion
  }
}
